<mat-list fixedInViewport>
  <mat-toolbar>
    <span>Users</span>
    <span class="example-spacer"></span>
    <button mat-icon-button class="example-icon favorite-icon" aria-label="Example icon-button with heart icon"   routerLink="../register">
      <mat-icon>add</mat-icon>
    </button>
  </mat-toolbar>
  <div class="content">
    <h3 mat-subheader>Administrator(s)</h3>
  <mat-list-item>
      <h3 mat-line ><button mat-button *ngFor="let user of users" (click)="selectUser = user"[matMenuTriggerFor]="userOptions" >{{user.nickname}}</button></h3>
    </mat-list-item>
    <h3 mat-subheader>Observator(s)</h3>
    <mat-list-item>
      <h3 mat-line><button mat-button *ngFor="let user of users"  (click)="selectUser = user" [matMenuTriggerFor]="userOptions" >{{user.nickname}}</button></h3>
    </mat-list-item>

    <mat-menu #userOptions="matMenu">
      <button mat-menu-item>Show Accounts</button>
      <button mat-menu-item *ngIf="currentUser.id == selectUser.id" routerLink="../userUpdate">Update user</button>
    </mat-menu>
  </div>
</mat-list>


